Bug 1735045 - compat-guile18: FTBFS in Fedora rawhide/f31
Summary: compat-guile18: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compat-guile18
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 18:03 UTC by Fedora Release Engineering
Modified: 2019-08-19 07:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 07:22:21 UTC


Attachments (Terms of Use)
build.log (1.83 KB, text/plain)
2019-07-31 18:03 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 18:03 UTC, Fedora Release Engineering
no flags Details
state.log (487 bytes, text/plain)
2019-07-31 18:03 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 18:03:32 UTC
compat-guile18 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632526


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix compat-guile18 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
compat-guile18 will be orphaned. Before branching of Fedora 32,
compat-guile18 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 18:03:40 UTC
Created attachment 1595669 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 18:03:42 UTC
Created attachment 1595670 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 18:03:44 UTC
Created attachment 1595671 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:59:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:43:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Tomas Korbar 2019-08-14 09:55:04 UTC
Hi Jan,
I examined the logs and found what is causing this. It appears that rpm-build was updated and now it is not accepting architecture in 'Obsoletes' tag.
Obsoletes: guile-devel%{?_isa} < 5:%{version}-7
^^^ this is the line.
This has been discussed for example in [0].
Should i prepare updates or will you take care of this yourself?

[0] - https://bugzilla.redhat.com/show_bug.cgi?id=1685183

Comment 7 Tomas Korbar 2019-08-19 07:22:21 UTC
I fixed this in f31 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.